## kcm-grub2 0.3.0

=== CMakeLists.txt ===
project(kcm_grub2)
set(KCM_GRUB2_VERSION_MAJOR "0")
set(KCM_GRUB2_VERSION_MINOR "3")
set(KCM_GRUB2_VERSION_PATCH "0")
set(KCM_GRUB2_VERSION "${KCM_GRUB2_VERSION_MAJOR}.${KCM_GRUB2_VERSION_MINOR}.${KCM_GRUB2_VERSION_PATCH}")
find_package(KDE4 REQUIRED)

add_subdirectory(cfg)
add_subdirectory(other)
add_subdirectory(src)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${KCM_GRUB2_VERSION}")
set(CPACK_SOURCE_IGNORE_FILES "/\\\\..*$;kdev4$;${CPACK_SOURCE_IGNORE_FILES}")
set(CPACK_SOURCE_GENERATOR "TBZ2")

set(CPACK_PACKAGE_NAME "kcm_grub2")
set(CPACK_PACKAGE_DESCRIPTION "GRUB2 Bootloader Editor")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A KCModule for configuring the GRUB2 bootloader")
SET(CPACK_PACKAGE_VERSION_MAJOR ${KCM_GRUB2_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${KCM_GRUB2_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${KCM_GRUB2_VERSION_PATCH})
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_PACKAGE_FILE_NAME ${CPACK_SOURCE_PACKAGE_FILE_NAME})
set(CPACK_PACKAGE_CONTACT "Konstantinos Smanis <konstantinos.smanis@gmail.com>")
set(CPACK_GENERATOR "DEB;RPM")

set(CPACK_DEBIAN_PACKAGE_DEPENDS "kdebase-runtime (>= 4:4.4.0), grub2")
set(CPACK_DEBIAN_PACKAGE_SECTION "KDE")
set(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})

set(CPACK_RPM_PACKAGE_REQUIRES "kdebase-runtime >= 4.4.0, grub2")
set(CPACK_RPM_PACKAGE_GROUP "System/GUI/KDE")
set(CPACK_RPM_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})

include(InstallRequiredSystemLibraries)
include(CPack)

=== cfg/CMakeLists.txt ===
install(FILES kcm_grub2.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== other/CMakeLists.txt ===
install(FILES kcm_grub2.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/CMakeLists.txt ===
include(KDE4Defaults)
include_directories(${QT_INCLUDES} ${KDE4_INCLUDES})

add_subdirectory(helper)

set(kcm_grub2_SRCS
    kcm_grub2.cpp
)

kde4_add_ui_files(kcm_grub2_SRCS
    ../ui/kcm_grub2.ui
)

kde4_add_kcfg_files(kcm_grub2_SRCS
    ../cfg/settings.kcfgc
)

kde4_add_plugin(kcm_grub2 ${kcm_grub2_SRCS})
target_link_libraries(kcm_grub2 ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS kcm_grub2 DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/helper/CMakeLists.txt ===
kde4_add_executable(kcmgrub2helper helper.cpp)
target_link_libraries(kcmgrub2helper ${KDE4_KDECORE_LIBS})
install(TARGETS kcmgrub2helper DESTINATION ${LIBEXEC_INSTALL_DIR})
kde4_install_auth_helper_files(kcmgrub2helper org.kde.kcontrol.kcmgrub2 root)
kde4_install_auth_actions(org.kde.kcontrol.kcmgrub2 kcmgrub2.actions)

=== debian/changelog ===
kcm-grub2 (0.3.0-0ubuntu1) natty; urgency=low

  * Initial release LP: #745524

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Mon, 28 Mar 2011 16:33:37 +0200

=== debian/control ===
Source: kcm-grub2
Section: admin 
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com> 
Build-Depends: debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.5.0~), cmake, kdelibs5-dev
Standards-Version: 3.9.1
Homepage: https://sourceforge.net/projects/kcm-grub2/

Package: kde-config-grub2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-pc ( >= 1.99~rc1-5 )
Description: Configuration module for the GRUB2 bootloader
 This is a configuration module for System Settings for configuring the
 GRUB2 bootloader.

## kcm-grub2 0.5.0

=== CMakeLists.txt ===
project(kcm-grub2)
set(KCM_GRUB2_VERSION_MAJOR "0")
set(KCM_GRUB2_VERSION_MINOR "5")
set(KCM_GRUB2_VERSION_PATCH "0")
set(KCM_GRUB2_VERSION "${KCM_GRUB2_VERSION_MAJOR}.${KCM_GRUB2_VERSION_MINOR}.${KCM_GRUB2_VERSION_PATCH}")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(Qt4 4.6.0 REQUIRED)
find_package(KDE4 4.4.0 REQUIRED)
include(KDE4Defaults)

macro_optional_find_package(ImageMagick COMPONENTS Magick++ MagickCore)
macro_log_feature(ImageMagick_FOUND "ImageMagick" "Create splash images compatible with GRUB2" "http://www.imagemagick.org/" FALSE "" "")
macro_bool_to_01(ImageMagick_FOUND HAVE_IMAGEMAGICK)

macro_optional_find_package(HD)
macro_log_feature(HD_FOUND "hwinfo" "Retrieve list of resolutions valid in GRUB2" "http://www.opensuse.org/" FALSE "" "")
macro_bool_to_01(HD_FOUND HAVE_HD)

macro_optional_find_package(QApt)
macro_log_feature(QAPT_FOUND "LibQApt" "Remove unneeded old entries (qapt backend)" "https://projects.kde.org/projects/extragear/sysadmin/libqapt/" FALSE "" "")
macro_bool_to_01(QAPT_FOUND HAVE_QAPT)

macro_optional_find_package(QPackageKit)
macro_log_feature(QPACKAGEKIT_FOUND "QPackageKit" "Remove unneeded old entries (qpackagekit backend)" "http://www.packagekit.org/" FALSE "" "")
macro_bool_to_01(QPACKAGEKIT_FOUND HAVE_QPACKAGEKIT)

macro_display_feature_log()
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

add_subdirectory(cfg)
add_subdirectory(other)
add_subdirectory(src)
find_package( Msgfmt REQUIRED )
find_package( Gettext REQUIRED )
add_subdirectory( po )

=== cfg/CMakeLists.txt ===
# Install
install(FILES kcm_grub2.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== po/CMakeLists.txt ===
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( et )
add_subdirectory( hu )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( sv )
add_subdirectory( uk )

=== src/CMakeLists.txt ===
add_subdirectory(helper)

# Set Include Directories
set(kcm_grub2_INCLUDE_DIRS ${KDE4_INCLUDES})
if (HAVE_IMAGEMAGICK)
    set(kcm_grub2_INCLUDE_DIRS ${kcm_grub2_INCLUDE_DIRS} ${ImageMagick_INCLUDE_DIRS})
endif (HAVE_IMAGEMAGICK)
if (HAVE_QAPT)
    set(kcm_grub2_INCLUDE_DIRS ${kcm_grub2_INCLUDE_DIRS} ${QAPT_INCLUDE_DIR})
else (HAVE_QAPT)
    if (HAVE_QPACKAGEKIT)
        set(kcm_grub2_INCLUDE_DIRS ${kcm_grub2_INCLUDE_DIRS} ${QPACKAGEKIT_INCLUDE_DIR})
    endif (HAVE_QPACKAGEKIT)
endif (HAVE_QAPT)

# Set Sources
set(kcm_grub2_SRCS kcm_grub2.cpp)
kde4_add_ui_files(kcm_grub2_SRCS ../ui/kcm_grub2.ui ../ui/choiceDlg.ui)
kde4_add_kcfg_files(kcm_grub2_SRCS ../cfg/settings.kcfgc)
if (HAVE_IMAGEMAGICK)
    set(kcm_grub2_SRCS ${kcm_grub2_SRCS} convertDlg.cpp)
    kde4_add_ui_files(kcm_grub2_SRCS ../ui/convertDlg.ui)
endif (HAVE_IMAGEMAGICK)
if (HAVE_QAPT OR HAVE_QPACKAGEKIT)
    set(kcm_grub2_SRCS ${kcm_grub2_SRCS} removeDlg.cpp)
    kde4_add_ui_files(kcm_grub2_SRCS ../ui/removeDlg.ui)
endif (HAVE_QAPT OR HAVE_QPACKAGEKIT)
if (HAVE_QAPT)
    set(kcm_grub2_SRCS ${kcm_grub2_SRCS} qaptBackend.cpp)
else (HAVE_QAPT)
    if (HAVE_QPACKAGEKIT)
        set(kcm_grub2_SRCS ${kcm_grub2_SRCS} qPkBackend.cpp)
    endif (HAVE_QPACKAGEKIT)
endif (HAVE_QAPT)

# Set Link Libraries
set(kcm_grub2_LINK_LIBS ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS})
if (HAVE_IMAGEMAGICK)
    set(kcm_grub2_LINK_LIBS ${kcm_grub2_LINK_LIBS} ${ImageMagick_LIBRARIES})
endif (HAVE_IMAGEMAGICK)
if (HAVE_QAPT)
    set(kcm_grub2_LINK_LIBS ${kcm_grub2_LINK_LIBS} ${QAPT_LIBRARY})
else (HAVE_QAPT)
    if (HAVE_QPACKAGEKIT)
        set(kcm_grub2_LINK_LIBS ${kcm_grub2_LINK_LIBS} ${QPACKAGEKIT_LIB})
    endif (HAVE_QPACKAGEKIT)
endif (HAVE_QAPT)

# Definitions
if (HAVE_IMAGEMAGICK)
    add_definitions(${KDE4_ENABLE_EXCEPTIONS})
endif (HAVE_IMAGEMAGICK)

# Build & Link
include_directories(${kcm_grub2_INCLUDE_DIRS})
kde4_add_plugin(kcm_grub2 ${kcm_grub2_SRCS})
target_link_libraries(kcm_grub2 ${kcm_grub2_LINK_LIBS})

# Install
install(TARGETS kcm_grub2 DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
kcm-grub2 (0.5.0-0ubuntu3) precise; urgency=low

  * Change the hardcoded dependency on grub-pc to also let grub-efi-amd64 and
    grub-efi-ia32 satisfy the dependency (LP: #970622)
  * Bump debhelper compat version to 9:
    - Fix dh options ordering in debian/rules
  * Bump Standards-Version to 3.9.3
  * Fix lintian warnings about missing liscensing paragraphs in the
    debian/copyright file

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 01 Apr 2012 15:05:36 -0400

kcm-grub2 (0.5.0-0ubuntu2) precise; urgency=low

  * Rebuild for libmagickcore4.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Nov 2011 15:57:55 +0000

kcm-grub2 (0.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Add a build-depend on libqapt-dev for old kernel removal support
    - Add a build-depend on libmagick++-dev for splash screen support

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 11 May 2011 03:37:37 -0400

=== debian/control ===
Source: kcm-grub2
Section: admin 
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com> 
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0~), cmake, kdelibs5-dev,
 libqapt-dev, libmagick++-dev
Standards-Version: 3.9.3
Homepage: https://sourceforge.net/projects/kcm-grub2/

Package: kde-config-grub2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, grub-pc ( >= 1.99~rc1-5 ) | 
 grub-efi-amd64 | grub-efi-ia32
Description: Configuration module for the GRUB2 bootloader
 This is a configuration module for System Settings for configuring the
 GRUB2 bootloader.

## kcm-grub2 0.5.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(kcm-grub2)
 set(KCM_GRUB2_VERSION_MAJOR "0")
 set(KCM_GRUB2_VERSION_MINOR "5")
-set(KCM_GRUB2_VERSION_PATCH "0")
+set(KCM_GRUB2_VERSION_PATCH "8")
 set(KCM_GRUB2_VERSION "${KCM_GRUB2_VERSION_MAJOR}.${KCM_GRUB2_VERSION_MINOR}.${KCM_GRUB2_VERSION_PATCH}")
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
@@ -9,6 +9,8 @@
 find_package(Qt4 4.6.0 REQUIRED)
 find_package(KDE4 4.4.0 REQUIRED)
 include(KDE4Defaults)
+
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
 macro_optional_find_package(ImageMagick COMPONENTS Magick++ MagickCore)
 macro_log_feature(ImageMagick_FOUND "ImageMagick" "Create splash images compatible with GRUB2" "http://www.imagemagick.org/" FALSE "" "")
@@ -29,7 +31,6 @@
 macro_display_feature_log()
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)
 
-add_subdirectory(cfg)
 add_subdirectory(other)
 add_subdirectory(src)
 find_package( Msgfmt REQUIRED )

=== other/CMakeLists.txt ===
# Install
install(FILES kcm_grub2.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== po/CMakeLists.txt ===
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( hu )
add_subdirectory( lt )
add_subdirectory( nb )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sv )
add_subdirectory( uk )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,8 @@
 endif (HAVE_QAPT)
 
 # Set Sources
-set(kcm_grub2_SRCS kcm_grub2.cpp)
-kde4_add_ui_files(kcm_grub2_SRCS ../ui/kcm_grub2.ui ../ui/choiceDlg.ui)
-kde4_add_kcfg_files(kcm_grub2_SRCS ../cfg/settings.kcfgc)
+set(kcm_grub2_SRCS kcm_grub2.cpp installDlg.cpp)
+kde4_add_ui_files(kcm_grub2_SRCS ../ui/kcm_grub2.ui ../ui/installDlg.ui)
 if (HAVE_IMAGEMAGICK)
     set(kcm_grub2_SRCS ${kcm_grub2_SRCS} convertDlg.cpp)
     kde4_add_ui_files(kcm_grub2_SRCS ../ui/convertDlg.ui)

=== po/ca/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( ca ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/cs/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/da/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( da ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/de/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/el/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( el ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/es/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/et/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( et ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/fr/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kcm-grub2 (0.5.8-0ubuntu2) raring; urgency=low

  * Only build on x86 architectures, as this packages appears
    to currently only support managing x86 variants of GRUB.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Oct 2012 23:14:18 +0000

kcm-grub2 (0.5.8-0ubuntu1) raring-proposed; urgency=low

  * New upstream release
  * Add kubuntu_qapt2_port.diff to port kcm-grub2 to LibQApt 2.x.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 30 Oct 2012 16:23:46 -0400

kcm-grub2 (0.5.0-0ubuntu4) quantal; urgency=low

  * Rebuild for imagemagick 6.7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 10:59:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: kcm-grub2
-Section: admin 
+Section: admin
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com> 
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0~), cmake, kdelibs5-dev,
@@ -8,7 +8,7 @@
 Homepage: https://sourceforge.net/projects/kcm-grub2/
 
 Package: kde-config-grub2
-Architecture: any
+Architecture: i386 amd64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}, grub-pc ( >= 1.99~rc1-5 ) | 
  grub-efi-amd64 | grub-efi-ia32
 Description: Configuration module for the GRUB2 bootloader

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with-kde

=== debian/watch ===
version=3
http://sf.net/kcm-grub2/kcm_grub2-(\d.*)\.tar\.bz2
